for blancs in range(1000):
    for roux in range(blancs+1, 1000-blancs):
        for noirs in range(roux+1, min(1000-blancs-roux, blancs*2)):
            if blancs*roux*noirs == 777*(blancs+roux+noirs):
                print("blancs", blancs)
                print("roux", roux)
                print("noirs", noirs)
                print("total", blancs+roux+noirs)
                